Skip to main content
PATCH
/
v1
/
teams
/
{team_id}
/
locations
/
{location_id}
Update Location
curl --request PATCH \
  --url https://api.dataraven.io/v1/teams/{team_id}/locations/{location_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "bucket_name": "<string>",
  "region": "<string>",
  "endpoint_url": "<string>",
  "secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/locations/{location_id}"

payload = {
    "name": "<string>",
    "description": "<string>",
    "bucket_name": "<string>",
    "region": "<string>",
    "endpoint_url": "<string>",
    "secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    bucket_name: '<string>',
    region: '<string>',
    endpoint_url: '<string>',
    secret_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
  })
};

fetch('https://api.dataraven.io/v1/teams/{team_id}/locations/{location_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "bucket_name": "<string>",
  "region": "<string>",
  "endpoint_url": "<string>",
  "last_verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "usage_stats": {
    "tasks_as_source": 123,
    "tasks_as_destination": 123
  },
  "last_verification": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "verified": true,
    "created_at": "2023-11-07T05:31:56Z",
    "error_code": "<string>",
    "can_list": true,
    "can_read": true,
    "can_write": true,
    "can_delete": true
  },
  "created_by_email": "<string>",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by_email": "<string>",
  "secret_name": "<string>",
  "tasks_as_source": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "tasks_as_destination": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

location_id
string<uuid>
required
team_id
string<uuid>
required

Body

application/json

Schema for updating a location.

Most fields can be updated except location_type (would require creating a new location). If updating secret_id, the new secret must have the same type as the location's location_type.

Warning: Changing bucket_name, region, endpoint_url, or secret_id will affect all tasks using this location.

name
string | null
Required string length: 1 - 255
description
string | null
Maximum string length: 2000
bucket_name
string | null
Required string length: 1 - 255
region
string | null
Maximum string length: 100
endpoint_url
string | null
Maximum string length: 2048
secret_id
string<uuid> | null

Response

Successful Response

Schema for detailed location information.

id
string<uuid>
required
name
string
required
description
string | null
required
location_type
enum<string>
required

Cloud storage provider types.

Available options:
s3,
azure_blob,
gcs,
r2,
b2,
wasabi,
railway,
oracle_object_storage_s3,
s3_compatible,
tigris,
digitalocean_spaces,
hetzner,
rabata
bucket_name
string
required
region
string | null
required
endpoint_url
string | null
required
last_verified_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string<uuid>
required
secret_id
string<uuid>
required
usage_stats
LocationUsageStats · object
required

Statistics about location usage in tasks.

last_verification
LocationVerificationSummary · object | null

Most recent verification attempt (success or failure) for health badge. last_verified_at only updates on success — this field reflects the actual most recent run regardless of outcome.

created_by_email
string | null

Email of user who created this location

updated_by
string<uuid> | null

User who last updated this location

updated_by_email
string | null

Email of user who last updated this location

secret_name
string | null

Name of the linked secret

tasks_as_source
LinkedTask · object[]

Tasks using this location as source

tasks_as_destination
LinkedTask · object[]

Tasks using this location as destination